## org.aspectj.lang.reflect
Enum DeclareAnnotation.Kind

    java.lang.Object
      java.lang.Enum<DeclareAnnotation.Kind>
          org.aspectj.lang.reflect.DeclareAnnotation.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DeclareAnnotation.Kind>

Enclosing interface:
  DeclareAnnotation

    public static enum DeclareAnnotation.Kind

extends java.lang.Enum<DeclareAnnotation.Kind>

Enum Constant Summary
`Constructor`
`Field`
`Method`
`Type`

Method Summary
`static DeclareAnnotation.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeclareAnnotation.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Field

    public static final DeclareAnnotation.Kind Field

### Method

    public static final DeclareAnnotation.Kind Method

### Constructor

    public static final DeclareAnnotation.Kind Constructor

### Type

    public static final DeclareAnnotation.Kind Type

Method Detail

### values

    public static DeclareAnnotation.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DeclareAnnotation.Kind c : DeclareAnnotation.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DeclareAnnotation.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null